package me.km.utils;

import net.minecraft.block.Block;
import net.minecraft.enchantment.Enchantment;
import net.minecraft.item.Item;
import net.minecraft.particles.IParticleData;
import net.minecraft.potion.Effect;
import net.minecraft.util.ResourceLocation;
import net.minecraft.util.SoundEvent;
import net.minecraftforge.registries.ForgeRegistries;

public class Mapper
{
    public static SoundEvent getSound(String name)
    {
        return ForgeRegistries.SOUND_EVENTS.getValue(new ResourceLocation(name));
    }
    
    public static Enchantment getEnchantment(String name)
    {
        return ForgeRegistries.ENCHANTMENTS.getValue(new ResourceLocation(name));
    }
    
    public static Effect getPotion(String name)
    {
        return ForgeRegistries.POTIONS.getValue(new ResourceLocation(name));
    }
    
    public static IParticleData getParticle(String name)
    {
        return (IParticleData) ForgeRegistries.PARTICLE_TYPES.getValue(new ResourceLocation(name));
    }
    
    public static Item getItem(String name)
    {
        return ForgeRegistries.ITEMS.getValue(new ResourceLocation(name));
    }
    
    public static Block getBlock(String name)
    {
        return ForgeRegistries.BLOCKS.getValue(new ResourceLocation(name));
    }
}
